#app  
  font-family: "Avenir", Helvetica, Arial, sans-serif 
  -webkit-font-smoothing: antialiased 
  -moz-osx-font-smoothing: grayscale 
  text-align: center 
  color: #2c3e50 

body 
  background: var(--colorFirstBackground) 
  height: 100vh
  margin: 0
  background-size: 100% auto
  overflow: hidden  
  background-repeat: no-repeat 
  background-attachment: fixed


.grid-item.header,
.grid-item.footer,
.grid-item.content
  border-radius: 2em 
  visibility: var(--visbilityState)


.grid-item.header,
.grid-item.footer
  background: var(--colorSecoundBackground)

.alwaysshown
  visibility: var(--reVisbilityState)

.antiShown
  visibility: var(--antiVisibilityState)


.dive-card  
  border: thin solid #73ad21 
  border-radius: 1.666em 

.grid-container  
  display: grid 
  grid-template-columns: 1fr 4fr 1fr 
  grid-template-rows: 0.3fr 3.5fr 1fr 
  width: 100vw 
  height: 100vh 
  column-gap: 0.2em 
  row-gap: 0.4em 

.grid-item.header  
  grid-column: 2 / 3 
  grid-row: 1 / 2
  border: thin solid #73ad21 
  border-radius: 1.666em 

.grid-item.content  
  grid-column: 2 / 3 
  grid-row: 2 / 3 

.grid-item.footer  
  grid-column: 2 / 3 
  grid-row: 3 / 4 
  bootem: 10px

.footerSubgrid
  display: grid 
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr
  grid-template-rows: 1fr 
  column-gap: 0.4%

.themeSwitch
  grid-column: 1/2 
  grid-row: 1/2

.colorSwitch
  grid-column: 2/3 
  grid-row: 1/2

.bubblesSwitch
  grid-column: 3/4 
  grid-row: 1/2

.showBubblesSwitch
  grid-column: 4/5 
  grid-row: 1/2

.screenSaveSwitch
  grid-column: 5/6 
  grid-row: 1/2

.headerSubgrid  
  display: grid 
  grid-template-columns: 2.5fr 2.5fr 2.8fr 2.5fr 0.1fr 0.1fr 
  grid-template-rows: 0.1fr 2fr 0.1fr 
  column-gap: 1px 

.home-link  
  grid-column: 1/2 
  grid-row: 2/3

.about-link  
  grid-column: 2/3 
  grid-row: 2/3 
 
.detail-link  
  grid-column: 3/4 
  grid-row: 2/3 
 
.edit-link  
  grid-column: 4/5 
  grid-row: 2/3 

.grid-item.login  
  height: 60px 
  width: 60px 
  border-radius: 50% 
  line-height: 55px 
  grid-column: 6/6 
  grid-row: 2/3 
  justify-self: end 
  margin: 0.5em 
  background: #ddd 

.link-style  
  border: 1px solid #ccc 
  background: #ddd 
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2) 
  cursor: pointer 
  place-self: center stretch 
  padding-top: 0.5em 
  padding-bottom: 0.5em 
  margin: 0.5em 
  border-radius: 1em 
  display: var(--visbilityState)
 
.about-link.link-style:active  
  background: green
  box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.6) 
 
.link-style:hover
  background: linear-gradient(0deg,rgba(0, 212, 255, 1) 16%,rgba(5, 201, 251, 1) 32%, rgba(0, 212, 255, 1) 64%) 
 
.login:hover  
  background: linear-gradient(0deg,rgba(0, 212, 255, 1) 16%,rgba(5, 201, 251, 1) 32%, rgba(0, 212, 255, 1) 64%)
  box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.6)  

.inputfieldBubbleNumber
  border: 1px solid black

.input  
  opacity: 0.5
  -webkit-appearance: none 
  margin: 12px 0 
  width: 100px 
  border: 2px solid black
input  
  opacity: 0 
  width: 0 
  height: 0 
output
  padding-left: 1.2%
  font-size: 1.4em 

input[type=range]  
  -webkit-appearance: none 
  background: black 
  margin: 12px 0 
  width: 100px 
  border: 2px solid black

input[type=range]:focus  
  outline: none 


input[type=range]::-webkit-slider-runnable-track  
  width: 100% 
  height: 12px 
  cursor: pointer 
  animate: 0.2s 
  box-shadow: 1px 1px 1px #002200 
  background: green
  border-radius: 1px 
  border: 1px solid #18D501 
 
input[type=range]::-webkit-slider-thumb  
  border: 1px solid yellow 
  height: 23px 
  width: 23px 
  border-radius: 23px 
  background: red 
  cursor: pointer 
  -webkit-appearance: none 
  margin-top: -7px 

